Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.exec
Class ExecuteException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.io.IOException
                  org.apache.commons.exec.ExecuteException

All Implemented Interfaces:
  Serializable

    public class ExecuteException

extends IOException

An exception indicating that the executing a subprocesses failed.

See Also:
  Serialized Form

Constructor Summary
`ExecuteException(String message, int exitValue)` Construct a new exception with the specified detail message.
`ExecuteException(String message, int exitValue, Throwable cause)` Construct a new exception with the specified detail message and cause.

Method Summary
`Throwable` | `getCause()` Return the underlying cause of this exception (if any).
`int` | `getExitValue()` Gets the exit value returned by the failed process

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ExecuteException

    public ExecuteException(String message,
                            int exitValue)

  Construct a new exception with the specified detail message.

  Parameters:
    `message` - The detail message
    `exitValue` - The exit value

### ExecuteException

    public ExecuteException(String message,
                            int exitValue,
                            Throwable cause)

  Construct a new exception with the specified detail message and cause.

  Parameters:
    `message` - The detail message
    `exitValue` - The exit value
    `cause` - The underlying cause

Method Detail

### getCause

    public Throwable getCause()

  Return the underlying cause of this exception (if any).

  Overrides:
    `getCause` in class `Throwable`

### getExitValue

    public int getExitValue()

  Gets the exit value returned by the failed process

  Returns:
    The exit value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2009 The Apache Software Foundation. All Rights Reserved.